#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n ;
    cin >> n ;
    int x[n] ;
    int y[n] ;
    int z[n] ;
    for(int i=0 ; i<n ; i++){
        cin >> x[i] ;
    }
    for(int i=0 ; i<n ; i++){
        cin >> y[i] ;
    }
    for(int i=0 ; i<n ; i++){
        cin >> z[i] ;
    }
    sort(x,x+n) ;
    int uk=0 ;
    for(int i=0 ; i<n ; i++){
        int ind1=lower_bound(x,x+n,y[z[i]-1])-x ;
        int ind2=upper_bound(x,x+n,y[z[i]-1])-x ;
        if(y[z[i]-1]>x[n-1]){
            ind1=n ;
        }
        if(y[z[i]-1]>=x[n-1]){
            ind2=n ;
        }
        uk+=ind2-ind1 ;
    }
    cout << uk ;
    return 0;
}